Stay in RMagick 2.16.0 and don't update to 3.0.0

2019-02-18 01:51 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 3.4.9   

Description

RMagick 3.0.0 has been released on 2019-02-16 but the installation of Redmine fails due to the latest RMagick in some

environments.

This is because RMagick 3.0.0 narrowed the supported ImageMagick version. Previous Rmagick 2.16.0 supports ImageMagick >=

6.4.9 but 3.0.0 supports only ImageMagick ImageMagick >= 6.8.9 (even RMagick 3.0.0 does not support ImageMagick 7 yet).

Some Linux distribution still bundles older ImageMagick. For example, CentOS 7 bundles ImageMagick 6.7.8. Rmagick 3.0.0 causes

an error during the installation of Redmine in such environments.

There is no benefit for us to update to RMagick 3.0.0 for now, so we should pin the version of RMagick in the Gemfile.

Index: Gemfile

===================================================================

--- Gemfile    (revision 17874)

+++ Gemfile    (working copy)

@@ -32,7 +32,7 @@

 platforms :mri, :mingw, :x64_mingw do

   # Optional gem for exporting the gantt to a PNG file, not supported with jruby

   group :rmagick do

-    gem "rmagick", ">= 2.14.0" 

+    gem "rmagick", "~> 2.16.0" 

   end

   # Optional Markdown support, not for JRuby

 p.s.

RMagick sometimes causes such build errors while installing Redmine. We can escape from such troubles by switching to

MiniMagick that is written in pure-Ruby. We already have the patch to remove RMagick (#30492).

Related issues:

Related to Redmine - Feature #30492: Replace RMagick with MiniMagick Closed

Associated revisions

Revision 17875 - 2019-02-18 09:15 - Go MAEDA

Stay in RMagick 2.16.0 and don't update to 3.0.0 (#30821).

Patch by Go MAEDA.

Revision 17876 - 2019-02-18 09:36 - Go MAEDA

Merged r17875 from trunk to 4.0-stable (#30821).

Revision 17877 - 2019-02-18 09:40 - Go MAEDA

Merged r17875 from trunk to 3.4-stable (#30821).

History

#1 - 2019-02-18 01:54 - Go MAEDA

- Related to Feature #30492: Replace RMagick with MiniMagick added

#2 - 2019-02-18 01:57 - Go MAEDA
https://www.redmine.org/issues/30492


- Tracker changed from Defect to Patch

#3 - 2019-02-18 08:36 - Ivan Cenov

Good news.

#4 - 2019-02-18 09:15 - Go MAEDA

- Subject changed from Don't use RMagick 3.0.0 to Stay in RMagick 2.16.0 and don't update to 3.0.0

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed.

#5 - 2019-02-18 09:40 - Go MAEDA

- Status changed from Resolved to Closed
